Problem with linter for c++


#1

Hi everyone.
I use c ++
ant i install linter with linter-ui-default and linter-cpp, in the lower window of atom it shows something like this:

https://i.github-camo.com/a7fa1da3b5b4bdea00b5d25591f47e0751f64d4e/68747470733a2f2f636c6f75642e67697468756275736572636f6e74656e742e636f6d2f6173736574732f343237383131332f32333837393933332f31616231376532612d303837322d313165372d383033642d3366653063636663363739302e676966

but besides that, it shows me something like this:

C:\Users\J4C080\AppData\Local\Temp\24eac625-f23a-4e4d-a5c4-f0a1991038a1.cpp:23:1: error: ‘err’ does not name a type
err;^

the linter-cpp page the bottom window is this way, I would like to have it in that way :

Maybe it’s a different ui

I have also installed atom-ide-ui and I can not find a complement for c ++

If anyone has any advice about a plugin to find errors for c ++ in atom I would appreciate it very much


#2

it indeed seems to be a different linter ui. i have installed linter-gcc and it has the same linter-ui-default .i am unable to find the ui shown in the readme file of linter-gcc. any ideas?
( i also have atom-ide-ui installed.)

there is ide-cpp package available, but it is in experimental state, and it didn’t work for me. if finding errors is your only concern, linter-cpp or linter-gcc should be fine.


#3

Actually the picture attached is of linter v1 . In v2 the ui was split up from main package linter and the new default theme is now linter-ui-default. Currently the only way to get the old theme back is by installing older version of linter.
Here is the reference :
Don’t see nice UI suggested by “Linter in action!” #169